CVE-2016-7415

Published on: 09/17/2016 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:05 PM UTC

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Certain versions of International Components For Unicode from Icu-project contain the following vulnerability:

Stack-based buffer overflow in the Locale class in common/locid.cpp in International Components for Unicode (ICU) through 57.1 for C/C++ allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a long locale string.

  • CVE-2016-7415 has been assigned by [email protected] to track the vulnerability - currently rated as - currently rated as CRITICAL severity.

CVSS3 Score: 9.8 - CRITICAL

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 7.5 - HIGH

Access
Vector
Access
Complexity
Authentication
NETWORK LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
PHP :: Sec Bug #73007 :: SEH buffer overflow msgfmt_format_message Exploit
Third Party Advisory
bugs.php.net
text/html
URL Logo MISC bugs.php.net/bug.php?id=73007
[R6] SecurityCenter 5.4.1 Fixes Multiple Vulnerabilities - Security Advisory | Tenable Network Security Third Party Advisory
www.tenable.com
text/html
URL Logo CONFIRM www.tenable.com/security/tns-2016-19
ICU: Multiple vulnerabilities (GLSA 201701-58) — Gentoo Security Third Party Advisory
security.gentoo.org
text/html
URL Logo GENTOO GLSA-201701-58
International Components for Unicode CVE-2016-7415 Stack Buffer Overflow Vulnerability Third Party Advisory
VDB Entry
cve.report (archive)
text/html
URL Logo BID 93022
oss-security - Re: CVE assignment for PHP 5.6.26 and 7.0.11 Mailing List
Release Notes
Third Party Advisory
www.openwall.com
text/html
URL Logo MLIST [oss-security] 20160915 Re: CVE assignment for PHP 5.6.26 and 7.0.11
Oracle Critical Patch Update Advisory - April 2019 web.archive.org
text/html
Inactive LinkNot Archived
URL Logo MISC www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationIcu-projectInternational Components For UnicodeAllAllAllAll
  • cpe:2.3:a:icu-project:international_components_for_unicode:*:*:*:*:*:c\/c\+\+:*:*: